# Finds ANN.
#
# This module defines:
# ANN_INCLUDE_DIRS
# ANN_LIBRARIES
#

find_path(ANN_INCLUDE_DIR
          ANN/ANN.h)

find_library(ANN_LIBRARY
             NAMES ann)

set(ANN_LIBRARIES ${ANN_LIBRARY})
set(ANN_INCLUDE_DIRS ${ANN_INCLUDE_DIR})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(ANN DEFAULT_MSG
                                  ANN_LIBRARY ANN_INCLUDE_DIR)

mark_as_advanced(ANN_INCLUDE_DIR ANN_LIBRARY)

